<?php

/**
 * @author Jasman
 * @copyright 2017
 */
$file_name = 'test';
$bs = new jsmBootstrap();
$css_content = $html = $content = $footer = null;
if (isset($_SESSION['FILE_NAME']))
{
    $file_name = $_SESSION['FILE_NAME'];
} else
{
    header('Location: ./?page=dashboard&err=project');
    die();
}
if (!isset($_SESSION["PROJECT"]['menu']))
{
    header('Location: ./?page=menu&err=new');
    die();
}
$out_path = 'output/' . $file_name;
if (!isset($_GET['prefix']))
{
    $_GET['prefix'] = '';
}

$css_path = 'projects/' . $file_name . '/css.json';
$css_generator_path = 'projects/' . $file_name . '/css-generator.json';

$css_code['css'] = '/** create using css generator **/' . "\r\n";
if (isset($_POST['css']))
{
    foreach ($_POST['css']['menu'] as $_menus)
    {


        if ($_menus['icon-color'] != '')
        {
            $css_code['css'] .= '.menu-' . $_menus['name'] . ' .icon{color:' . $_menus['icon-color'] . ' !important}' . "\r\n";
        }
        if ($_menus['text-color'] != '')
        {
            $css_code['css'] .= '.menu-' . $_menus['name'] . ' a.item-content{color:' . $_menus['text-color'] . ' !important}' . "\r\n";
        }
        if ($_menus['image-url'] != '')
        {
            $css_code['css'] .= '.menu-' . $_menus['name'] . ' a i:before,.menu-' . $_menus['name'] . ' i:before{ content: url("../' . $_menus['image-url'] . '");}' . "\r\n";
        }

    }
    $_postdata['css'] = $_POST['css'];
    file_put_contents($css_path, json_encode($css_code));
    file_put_contents($css_generator_path, json_encode($_postdata['css']));
    buildIonic($file_name);
}
$content = null;
$content .= '<h4><span class="fa-stack fa-lg"><i class="fa fa-square-o fa-stack-2x"></i><i class="fa fa-css3 fa-stack-1x"></i></span>Extra Menus -&raquo; (IMAB) Custom CSS Generator</h4>';
$content .= '<blockquote class="blockquote blockquote-info">This menu is used to simplify the creation of css code in the custom code menu.</blockquote>';
$content .= notice();
$content .= '<form action="" method="post">';
$content .= '<h4>CSS for Menu</h4>';
$content .= '<table id="group_column_list_" class="table table-striped sortable">';
$content .= '<thead>';
$content .= '<tr>';
$content .= '<th>Menu</th>';
$content .= '<th>Icon Color</th>';
$content .= '<th>Icon replace with image</th>';
$content .= '<th>Text Color</th>';
$content .= '</tr>';
$content .= '</thead>';

if (file_exists($css_generator_path))
{
    $raw_css_gen = json_decode(file_get_contents($css_generator_path), true);
}

foreach ($_SESSION['PROJECT']['menu']['items'] as $menu)
{
    if (!isset($raw_css_gen['menu'][$menu['var']]['icon-color']))
    {
        $raw_css_gen['menu'][$menu['var']]['icon-color'] = '#333333';
    }
    if (!isset($raw_css_gen['menu'][$menu['var']]['text-color']))
    {
        $raw_css_gen['menu'][$menu['var']]['text-color'] = '#333333';
    }
    if (!isset($raw_css_gen['menu'][$menu['var']]['image-url']))
    {
        $raw_css_gen['menu'][$menu['var']]['image-url'] = '';
    }
    if ($menu['type'] != 'divider')
    {

        $content .= '<tr>';

        $content .= '<td>';
        $content .= '<input type="hidden" name="css[menu][' . $menu['var'] . '][name]" value="' . $menu['var'] . '" />' . $menu['label'];
        $content .= '</td>';

        $content .= '<td>';
        $content .= '<div data-type="color-picker" class="input-group colorpicker-component"><input name="css[menu][' . $menu['var'] . '][icon-color]" type="text" value="' . $raw_css_gen['menu'][$menu['var']]['icon-color'] . '" class="form-control" /><span class="input-group-addon"><i></i></span></div>';
        $content .= '</td>';

        $content .= '<td>';
        $content .= '<input data-type="image-picker" id="css_menu_' . $menu['var'] . '_image-url"  name="css[menu][' . $menu['var'] . '][image-url]" type="text" value="' . $raw_css_gen['menu'][$menu['var']]['image-url'] . '" class="form-control" />';
        $content .= '</td>';

        $content .= '<td>';
        $content .= '<div data-type="color-picker" class="input-group colorpicker-component"><input name="css[menu][' . $menu['var'] . '][text-color]" type="text" value="' . $raw_css_gen['menu'][$menu['var']]['text-color'] . '" class="form-control" /><span class="input-group-addon"><i></i></span></div>';
        $content .= '</td>';

        $content .= '</tr>';
    }
}
$content .= '</table>';
$content .= '<input type="submit" value="Generate CSS Code" class="btn btn-primary" />';
$content .= '</form>';

$content .= '';
$footer .= '
<script type="text/javascript">
 $("div[data-type=\'color-picker\']").colorpicker();
</script>
';
$template->demo_url = $out_path . '/www/#/';
$template->title = $template->base_title . ' | ' . 'Extra Menus -&raquo; Custom CSS Generator';
$template->base_desc = '';
$template->content = $content;
$template->footer = $footer;

?>