<?php

/**
 * @author Jasman
 * @copyright 2016
 */

session_start();
$url_check = 'http://ihsana.com/pub/update.php';
$url_check = 'http://ionic.co.id/check.php';
$files = [];

if (!isset($_GET['act']))
{
    $_GET['act'] = null;
}


if (!isset($_SESSION['JSM_DEMO']))
{
    $_SESSION['JSM_DEMO'] = true;
}
if ($_SESSION['JSM_DEMO'] == true)
{
    die();
}


define('JSM_PATH', dirname(__file__));
if (file_exists(JSM_PATH . "/projects/config.php"))
{
    require_once (JSM_PATH . "/projects/config.php");
} else
{
    header("Location: ./setup.php");
}

$content = $out_path = $footer = $html = null;


if (!file_exists(JSM_PATH . '/projects/hash.json'))
{
    header('Location: ./update.php?act=check');
}

if ($_GET['act'] == 'check')
{
    $files = file_get_contents($url_check . "?act=check&lic=" . JSM_PURCHASE_CODE);
    file_put_contents(JSM_PATH . '/projects/hash.json', $files);
    header('Location: ./update.php');
}

$files = json_decode(file_get_contents(JSM_PATH . '/projects/hash.json'), true);
if ($_GET['act'] == 'download')
{
    $message = "check update";
    foreach ($files as $file)
    {
        if (strtolower(trim($_GET['hash'])) === strtolower(trim($file['hash'])))
        {
            $message = "timeout";

            $new_files = file_get_contents($url_check . "?act=download&lic=" . JSM_PURCHASE_CODE . "&hash=" . $_GET['hash']);
            $path_info = pathinfo(JSM_PATH . '/' . $file['file']);
            if (!is_dir($path_info['dirname']))
            {
                mkdir($path_info['dirname'], 0777, true);
            }


            file_put_contents(JSM_PATH . '/' . $file['file'] . '.upd', $new_files);
            $new_hash = sha1_file(JSM_PATH . '/' . $file['file'] . '.upd');
            if ($new_hash == $file['hash'])
            {
                file_put_contents(JSM_PATH . '/' . $file['file'], $new_files);
                @unlink(JSM_PATH . '/' . $file['file'] . '.upd');
                $message = "OK";
            }

            //echo $file['file'] . '.upd';
        }
    }
    die($message);
}

$content .= '<link href="./templates/default/css/bootstrap.css" rel="stylesheet"/>';
$content .= '<div class="container-fluid">';
$content .= '<h4>Update</h4>';
$content .= '<p><a href="./update.php?act=check" class="btn btn-warning" >Check Update</a> ';
$content .= '<a href="#!_" class="btn btn-danger" id="update" >Update Now</a></p>';

$content .= '<form class="form-inline" role="form">';
$content .= 'Display: <div class="checkbox"><label><input id="cb_latest_files" class="cb_files" type="checkbox"> Latest</label></div>&nbsp;&nbsp;';
$content .= '<div class="checkbox"><label><input id="cb_old_files" class="cb_files" checked="checked" type="checkbox"> Old</label></div>&nbsp;&nbsp;';
$content .= '<div class="checkbox"><label><input id="cb_new_files" class="cb_files" checked="checked" type="checkbox"> New</label></div>&nbsp;&nbsp;';
$content .= '</form>';

$content .= '<table class="table table-striped">';
$content .= '<thead>';
$content .= '<tr><th>Module</th><th>File</th><th>Hash</th><th>Status</th></tr>';
$content .= '</thead>';
$content .= '<tbody>';
$_required_update = [];
if (!is_array($files))
{
    $files = [];
}
foreach ($files as $file)
{
    $file_path = realpath(JSM_PATH . '/' . $file['file']);

    if ($file_path != '')
    {
        if (file_exists($file_path))
        {
            $old_hash = sha1_file($file_path);
            if ($old_hash == $file['hash'])
            {
                $info = '<span id="' . $file['hash'] . '" class="label label-success latest-version">Latest</span>';
                $file_info = 'latest';
            } else
            {
                $info = '<span id="' . $file['hash'] . '" class="label label-warning update-version">Old</span>';
                $file_info = 'old';
                $_required_update[] = $file;
            }
        } else
        {
            $info = '<span id="' . $file['hash'] . '" class="label label-danger new-version">New</span>';
            $file_info = 'new';
            $_required_update[] = $file;
        }

    } else
    {
        $info = '<span id="' . $file['hash'] . '" class="label label-danger new-version">New</span>';
        $file_info = 'new';
        $_required_update[] = $file;
    }
    $content .= '<tr class="file-' . $file_info . '"><td>' . $file['module'] . '</td><td>' . $file['file'] . '</td><td><code>' . $file['hash'] . '</code></td><td>' . $info . '</td></tr>';
}
$content .= '</tbody>';
$content .= '</table>';
$content .= '</div>';

$footer = '
<script src="./templates/default/js/jquery.min.js"></script>
<script type="text/javascript">

var displaying_files = function(){
    
    $(".file-latest").css("display","none");
    $(".file-old").css("display","none");
    $(".file-new").css("display","none");
    
    if($("#cb_latest_files").prop("checked")){
        $(".file-latest").css("display","");
        console.log("cb_latest_files");
    }
    
    if($("#cb_old_files").prop("checked")){
        $(".file-old").css("display","");
         console.log("cb_old_files");
    }
            
    if($("#cb_new_files").prop("checked")){
        $(".file-new").css("display","");
        console.log("cb_new_files");
    }
}
    

$(document).ready(function(){

    var update_files = ' . json_encode($_required_update) . ';
    $("#update").click(function(){           
          $(update_files).each(function(){
                var $file = this ;
                $("#"+$file.hash).html("<i class=\"fa fa-spinner fa-spin\"></i> Updating...");
                
                var download_link = "./update.php?act=download&hash="+$file.hash;
                $.get(download_link,function(data) {
				    $("#"+$file.hash).html(data);
                    console.log(data);
			     });
                
          });
    });
    
    $(".cb_files").click(function(){
        displaying_files();
    });
    displaying_files();
    
});
</script>
';

echo $content;
echo $footer;

?>